Technical Support


uiWebPrevious1uiWebNext

#1 Multilingual 

Multilingual | [English]
The SSL cert seems to be invalid or not found when trying to access certain information ingame (identity->extended stats->ring reward points; webzone -> lore & chronicals -> wiki). See the linked screenshot (can I attach images here directly?)
https://cloud.planetmaker.de/index.php/s/i7D4tXzGEaYcJYw

EDIT: this issue only happens with the ingame browser / webwindow. It does not occur when using my normal browser

Edited 2 times | Last edited by Elke (4 months ago)

---

#2 [en] 

webzone -> lore & chronicals -> wiki works ok for me IG

identity->extended stats->ring reward points also looks ok

Last edited by Moniq (4 months ago) | Reason: answer corrected, my bad

#3 [en] 

In order to cross-check some other issue, I tried to install the non-steam version.
Paste of the attempt: https://pastebin.com/cyf6YjKi

The interesting line - which might also explain this issue - is:

qt.network.ssl: Incompatible version of OpenSSL

[planetmaker:~/Downloads/ryzom_installer_linux] [base] 15s $ openssl version
OpenSSL 1.1.1d FIPS 10 Sep 2019

---

#4 [en] 

So... the problem applies to Steam client or non-Steam client or both in your case?

What distribution it is?

Last edited by Moniq (4 months ago)

#5 [en] 

The only working version of Ryzom I have is the steam client on linux.

The link to the paste in my 2nd posting in this thread is the console output when trying to install the linux client as downloaded directly from ryzom.com.

I posted that paste here as it might boil down to the same cause / might help identify the reason for the SSL Cert issue showing in a few places in my ingame web browser.

---

#6 [en] 

In order to exclude the possibility of something with my local setup or cert paths:
I now tested the same places in the UI when running the steam version of Ryzom on my older Fedora 29 system. The same SSL Cert error (as by 1st posting here) appears in the same places as does on my current Fedora 32 system.

---

#7 [en] 

https://duckduckgo.com/?t=ffab&q=openssl+certificate+check&am p;ia=web offers several ssl search and problem solving approaches... maybe that helps 8?

#8 [en] 

So, i was on a different computer, running Debian-Stretch. And an SSL issue is present there, too.

I downloaded the installer from ryzom.com and extracted it to the path shown and then run it:

[planetmaker:~/ryzom/ryzom_installer_linux] $ ./ryzom_installer_linux.sh
INF 3b9d3280 utils.cpp 613 CLogHelper ryzom_installer : RYZOM INSTALLER VERSION: 3.5.0.9692 (RELEASE)
INF 3b9d3280 utils.cpp 614 CLogHelper ryzom_installer : Memory: 4367 MiB/7880 MiB
INF 3b9d3280 utils.cpp 615 CLogHelper ryzom_installer : OS: Linux version 4.9.0-12-amd64 (debian-kernel@lists.debian.org) (gcc version 6.3.0 20170516 (Debian 6.3.0-18+deb9u1) ) #1 SMP Debian 4.9.210-1 (2020-01-20)
INF 3b9d3280 utils.cpp 616 CLogHelper ryzom_installer : Processor: Intel(R) Core(TM) i5-3550 CPU @ 3.30GHz / ? Family 6 Model 58 Stepping 9 / GenuineIntel / 3500.610MHz / 3 Processors found
INF 3b9d3280 main.cpp 157 main ryzom_installer : Launched /home/ingo/ryzom/ryzom_installer_linux/ryzom_installer_linux64
INF 3b9d3280 main.cpp 281 main ryzom_installer : Next step is DownloadData (3)
qt.network.ssl: QSslSocket: cannot resolve CRYPTO_num_locks
qt.network.ssl: QSslSocket: cannot resolve CRYPTO_set_id_callback
qt.network.ssl: QSslSocket: cannot resolve CRYPTO_set_locking_callback
qt.network.ssl: QSslSocket: cannot resolve ERR_free_strings
qt.network.ssl: QSslSocket: cannot resolve EVP_CIPHER_CTX_cleanup
qt.network.ssl: QSslSocket: cannot resolve EVP_CIPHER_CTX_init
qt.network.ssl: QSslSocket: cannot resolve sk_new_null
qt.network.ssl: QSslSocket: cannot resolve sk_push
qt.network.ssl: QSslSocket: cannot resolve sk_free
qt.network.ssl: QSslSocket: cannot resolve sk_num
qt.network.ssl: QSslSocket: cannot resolve sk_pop_free
qt.network.ssl: QSslSocket: cannot resolve sk_value
qt.network.ssl: QSslSocket: cannot resolve SSL_library_init
qt.network.ssl: QSslSocket: cannot resolve SSL_load_error_strings
qt.network.ssl: QSslSocket: cannot resolve SSL_get_ex_new_index
qt.network.ssl: QSslSocket: cannot resolve SSLv3_client_method
qt.network.ssl: QSslSocket: cannot resolve SSLv23_client_method
qt.network.ssl: QSslSocket: cannot resolve SSLv3_server_method
qt.network.ssl: QSslSocket: cannot resolve SSLv23_server_method
qt.network.ssl: QSslSocket: cannot resolve X509_STORE_CTX_get_chain
qt.network.ssl: QSslSocket: cannot resolve OPENSSL_add_all_algorithms_noconf
qt.network.ssl: QSslSocket: cannot resolve OPENSSL_add_all_algorithms_conf
qt.network.ssl: QSslSocket: cannot resolve SSLeay
qt.network.ssl: Incompatible version of OpenSSL
qt.network.ssl: QSslSocket: cannot call unresolved function SSLv23_client_method
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_CTX_new
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_library_init
qt.network.ssl: QSslSocket: cannot call unresolved function ERR_get_error
qt.network.ssl: QSslSocket: cannot call unresolved function ERR_get_error
WRN 43282280 downloader.cpp 421 onError ryzom_installer : Network error Error creating SSL context () (99) when downloading https://download.ryzom.com/ryzom_live_data.7z
INF 43282280 downloader.cpp 274 onHeadFinished ryzom_installer : HTTP status code 0 on HEAD for https://download.ryzom.com/ryzom_live_data.7z

[planetmaker:~/ryzom/ryzom_installer_linux] 3s 1 $ uname -a
Linux aeolus 4.9.0-12-amd64 #1 SMP Debian 4.9.210-1 (2020-01-20) x86_64 GNU/Linux

[planetmaker:~/ryzom/ryzom_installer_linux] $ apt show openssl
Package: openssl
Version: 1.1.0l-1~deb9u1

Edited 2 times | Last edited by Elke (1 month ago)

---

#9 [de] 

Scheint ein Problem mit QT und OpenSSL zu sein. Hast du versucht openssl1.0 zu installieren? Ich sehe du nutzt OpenSSL1.1.

https://packages.debian.org/source/stretch/openssl1.0

Ich habe beides bei mir installiert:


$ openssl version
OpenSSL 1.1.1g 21 Apr 2020

$ openssl-1.0 version
OpenSSL 1.0.2u 20 Dec 2019


Testweise habe ich die 1.0 Version deinstalliert und habe den selben Fehler wie du bekommen.

Das Installationsprogramm funktioniert also nur mit der Openssl-1.0 Version.

---

Nicht klicken!

In Vino Veritas


#10 [de] 

https://getsol.us/2020/07/01/usysconf-rewrite-and-major-upgrades- roundup-16/

The Solus devs und contributors könnten wohl ein eigens gedichtetes Lied darüber singen, wie sie solche Probleme umzuschiffen versuchen. ... siehe oben dargebotene Link für mehr Erklärungen dazu 8)
Heernis
Scheint ein Problem mit QT und OpenSSL zu sein. Hast du versucht openssl1.0 zu installieren? Ich sehe du nutzt OpenSSL1.1.

https://packages.debian.org/source/stretch/openssl1.0

Ich habe beides bei mir installiert:


$ openssl version
OpenSSL 1.1.1g 21 Apr 2020

$ openssl-1.0 version
OpenSSL 1.0.2u 20 Dec 2019


Testweise habe ich die 1.0 Version deinstalliert und habe den selben Fehler wie du bekommen.

Das Installationsprogramm funktioniert also nur mit der Openssl-1.0 Version.

#11 [en] 

I'm getting this problem too. I can't install Ryzom on Mint 20.

I see the same list of of the above "qt.network.ssl: QSslSocket: cannot resolve..." errors when running ryzom_installer.sh.

I only have OpenSSL 1.1.1f installed. That is the default on Mint 20. There is no option to install the old version.

There is no way I'm going to try to figure out how to make and install an old version of OpenSSL from source. I'm not a sys admin, I'd only wreck my installation and waste a week doing so. It seems like if this is the only way to fix it, then this is a bug in the linux installer. And a serious one too, because if the install doesn't work, you lose many potential players.

#12 [fr] 

Apparemment cela ne concerne que l’installateur et pas le jeu en lui-même. Je fais fonctionner Ryzom sur Debian 10 Buster (openssl 1.1.1d-0+deb10u3) et le jeu fonctionne parfaitement.

Il est vrai que j’ai installé cette version de Debian après avoir installé Ryzom et je ne me sers pas de l’installateur, je lance le jeu à la main dans une console.

#13 [fr] 

Si vous vous sentez le courage et en attendant que cela soit réparé, vous pouvez tenter de vous passer de l'installateur et installer manuellement Ryzom comme il est indiqué ici:

https://fr.wiki.ryzom.com/wiki/Linux_generic_installation

(je décline toute responsabilité en cas de problèmes :) )

Last edited by Eolinius (1 week ago)

uiWebPrevious1uiWebNext
 
Last visit Tue Aug 4 22:52:55 2020 UTC
P_:

powered by ryzom-api